UMOUNT(8)

NOM
umount - Démonter des systèmes de fichiers

SYNOPSIS
umount [-hV]

umount -a [-dflnrv] [-t typesf] [-O options]
umount [-dflnrv] rép | périphérique [...]

DESCRIPTION
La commande umount détache le(s) système(s) de fichiers mentionné(s) de la hiérarchie des fichiers. Un système de fichiers est spécifié en donnant le nom du répertoire dans lequel il a été monté. Fournir le périphérique spécial sur lequel réside le système de fichiers peut également fonctionner, mais est obsolète, principalement parce cela échouera si ce périphérique a été monté dans plus d'un répertoire. Notez qu'un système de fichiers ne peut être démonté quand il est « occupé », par exemple quand il y a des fichiers ouverts dessus, quand certains processus y ont leur répertoire de travail, ou quand un fichier d'échange y est utilisé. L'un de ces processus « récalcitrants » pourrait même être umount lui-même : il ouvre la libc, qui peut ouvrir à son tour des fichiers locaux. Un démontage paresseux évite ce problème. Options de la commande umount :

-V  Afficher le numéro de version et se terminer.

-h  Afficher un message d'aide et se terminer.

-v  Activer le mode volubile.

-n  Démonter sans écrire dans /etc/mtab.

-r  Si le démontage échoue, essayer de remonter en lecture seule.

-d  Dans le cas d'un montage via un périphérique boucle (Ndt : loop), libérer aussi ce périphérique.

-i  Ne pas appeler l'aide /sbin/umount.<filesystem> même si elle existe. Par défaut, cette aide est appelée si elle existe.

-a  Démonter tous les systèmes de fichiers décrits dans /etc/mtab. (Avec umount versions 2.7 et ultérieures, le système de fichiers proc n'est pas démonté.)

-t typesf
    Indiquer que les actions devraient uniquement être entreprises sur les systèmes de fichiers du type spécifié. Plusieurs types peuvent être spécifiés dans une liste, en les séparant par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour spécifier les systèmes de fichiers pour lesquels aucune action ne doit être menée.

-O options
    Indiquer que les actions ne devraient être entreprises que sur les systèmes de fichiers dont les options sont spécifiées dans /etc/fstab. Plusieurs options peuvent être spécifiées dans une liste, en les séparant par des virgules. Chaque option peut être préfixée par no pour spécifier les options pour lesquelles aucune action ne doit être menée.

-f  Forcer le démontage (dans le cas d'un système NFS inaccessible). Requiert un noyau 2.1.116 ou ultérieur.

-l  Démontage paresseux. Détacher maintenant le système de fichiers de la hiérarchie de systèmes de fichiers, et nettoyer toutes les références vers le système de fichiers dès qu'il n'est plus occupé. (Requiert un noyau 2.4.11 ou ultérieur.)

LE PÉRIPHÉRIQUE LOOP
La commande umount libérera le périphérique loop (boucle) associé au mount (s'il existe), au cas où il trouve l'option « loop=... » dans /etc/mtab, ou si l'option -d est indiquée. Tous les périphériques loop restants peuvent être libérés en utilisant la commande « losetup -d » ; voyez losetup(8).

NOTES
La syntaxe des assistants externes de démontage est :
/sbin/umount.<suffixe> [-nlfvr] rép | périphérique
où <suffixe> est le type du système de fichiers ou une valeur de l'option « uhelper= » de mtab. L'assistant non privilégié de démontage (uhelper : umount helper) peut être utilisé par un utilisateur qui n'est pas le superutilisateur pour démonter un point de montage qui n'est pas défini dans le fichier /etc/fstab (par exemple, des périphériques montés par HAL).

FICHIERS
/etc/mtab Table des systèmes de fichiers montés.

VERSIONS

  Historique
Une commande umount est apparue dans la Version 6 du UNIX AT&T.

DISPONIBILITÉ
La commande umount fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
umount(2), mount(8), losetup(8)

TRADUCTION
Ce document est une traduction réalisée par Frédéric Delanoy <delanoy_f AT yahoo DOT com> le 24 août 2000 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 umount ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.